Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_display.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "windowProperties.h"`
`#include "notifyCategoryProxy.h"`
`#include "configVariableBool.h"`
`#include "configVariableString.h"`
`#include "configVariableList.h"`
`#include "configVariableInt.h"`
`#include "configVariableEnum.h"`
`#include "configVariableFilename.h"`
`#include "configVariableColor.h"`
`#include "coordinateSystem.h"`
`#include "dconfig.h"`
`#include "pvector.h"`

Go to the source code of this file.

## Functions
| ConfigureDecl (config_display, EXPCL_PANDA_DISPLAY, EXPTP_PANDA_DISPLAY)
EXPCL_PANDA_DISPLAY void | init_libdisplay ()
| Initializes the library.
| NotifyCategoryDecl (display, EXPCL_PANDA_DISPLAY, EXPTP_PANDA_DISPLAY)
| NotifyCategoryDecl (gsg, EXPCL_PANDA_DISPLAY, EXPTP_PANDA_DISPLAY)

## Variables
EXPCL_PANDA_DISPLAY ConfigVariableInt | accum_bits
EXPCL_PANDA_DISPLAY ConfigVariableBool | allow_incomplete_render
EXPCL_PANDA_DISPLAY ConfigVariableBool | allow_nonpipeline_threads
EXPCL_PANDA_DISPLAY ConfigVariableInt | alpha_bits
EXPCL_PANDA_DISPLAY ConfigVariableBool | alpha_scale_via_texture
EXPCL_PANDA_DISPLAY ConfigVariableBool | auto_flip
EXPCL_PANDA_DISPLAY ConfigVariableInt | back_buffers
EXPCL_PANDA_DISPLAY ConfigVariableColor | background_color
EXPCL_PANDA_DISPLAY ConfigVariableInt | color_bits
EXPCL_PANDA_DISPLAY ConfigVariableBool | color_scale_via_lighting
EXPCL_PANDA_DISPLAY ConfigVariableBool | copy_texture_inverted
EXPCL_PANDA_DISPLAY ConfigVariableFilename | cursor_filename
EXPCL_PANDA_DISPLAY ConfigVariableBool | cursor_hidden
EXPCL_PANDA_DISPLAY ConfigVariableBool | default_stereo_camera
EXPCL_PANDA_DISPLAY ConfigVariableInt | depth_bits
EXPCL_PANDA_DISPLAY ConfigVariableDouble | display_zoom
EXPCL_PANDA_DISPLAY ConfigVariableBool | force_parasite_buffer
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_accum
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_alpha
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_depth
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_float
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_hardware
EXPCL_PANDA_DISPLAY ConfigVariableString | framebuffer_mode
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_multisample
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_software
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_srgb
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_stencil
EXPCL_PANDA_DISPLAY ConfigVariableBool | framebuffer_stereo
EXPCL_PANDA_DISPLAY ConfigVariableBool | fullscreen
EXPCL_PANDA_DISPLAY ConfigVariableFilename | icon_filename
EXPCL_PANDA_DISPLAY ConfigVariableInt | max_color_targets
EXPCL_PANDA_DISPLAY ConfigVariableInt | max_texture_stages
EXPCL_PANDA_DISPLAY ConfigVariableInt | multisamples
EXPCL_PANDA_DISPLAY ConfigVariableBool | old_alpha_blend
EXPCL_PANDA_DISPLAY ConfigVariableInt | parent_window_handle
EXPCL_PANDA_DISPLAY ConfigVariableDouble | pixel_zoom
EXPCL_PANDA_DISPLAY ConfigVariableBool | prefer_parasite_buffer
EXPCL_PANDA_DISPLAY ConfigVariableBool | prefer_single_buffer
EXPCL_PANDA_DISPLAY ConfigVariableBool | prefer_texture_buffer
EXPCL_PANDA_DISPLAY ConfigVariableBool | pstats_unused_states
EXPCL_PANDA_DISPLAY ConfigVariableBool | red_blue_stereo
EXPCL_PANDA_DISPLAY ConfigVariableString | red_blue_stereo_colors
EXPCL_PANDA_DISPLAY ConfigVariableDouble | sbs_left_dimensions
EXPCL_PANDA_DISPLAY ConfigVariableDouble | sbs_right_dimensions
EXPCL_PANDA_DISPLAY ConfigVariableString | screenshot_extension
EXPCL_PANDA_DISPLAY ConfigVariableString | screenshot_filename
EXPCL_PANDA_DISPLAY ConfigVariableBool | shadow_cube_map_filter
EXPCL_PANDA_DISPLAY ConfigVariableInt | shadow_depth_bits
EXPCL_PANDA_DISPLAY ConfigVariableBool | side_by_side_stereo
EXPCL_PANDA_DISPLAY ConfigVariableInt | stencil_bits
EXPCL_PANDA_DISPLAY ConfigVariableFilename | subprocess_window
EXPCL_PANDA_DISPLAY ConfigVariableDouble | subprocess_window_max_wait
EXPCL_PANDA_DISPLAY ConfigVariableBool | support_render_texture
EXPCL_PANDA_DISPLAY ConfigVariableBool | support_rescale_normal
EXPCL_PANDA_DISPLAY ConfigVariableBool | support_stencil
EXPCL_PANDA_DISPLAY ConfigVariableBool | swap_eyes
EXPCL_PANDA_DISPLAY ConfigVariableBool | sync_flip
EXPCL_PANDA_DISPLAY ConfigVariableBool | sync_video
EXPCL_PANDA_DISPLAY ConfigVariableString | threading_model
EXPCL_PANDA_DISPLAY ConfigVariableBool | undecorated
EXPCL_PANDA_DISPLAY ConfigVariableBool | view_frustum_cull
EXPCL_PANDA_DISPLAY ConfigVariableBool | win_fixed_size
EXPCL_PANDA_DISPLAY ConfigVariableInt | win_origin
EXPCL_PANDA_DISPLAY ConfigVariableInt | win_size
EXPCL_PANDA_DISPLAY ConfigVariableBool | win_unexposed_draw
EXPCL_PANDA_DISPLAY ConfigVariableBool | window_inverted
EXPCL_PANDA_DISPLAY ConfigVariableString | window_title
EXPCL_PANDA_DISPLAY ConfigVariableBool | yield_timeslice
EXPCL_PANDA_DISPLAY ConfigVariableEnum< WindowProperties::ZOrder > | z_order

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-10-06

Definition in file config_display.h.

## Function Documentation

## ◆ init_libdisplay()

EXPCL_PANDA_DISPLAY void init_libdisplay | ( |  | ) |
| extern

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 502 of file config_display.cxx.

References PandaSystem::add_system(), and PandaSystem::get_global_ptr().

Referenced by init_libandroiddisplay(), and init_libpanda().